Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support capture upload session

POST/support/capture/upload-session
Header parameters
x-pile-capture-tokenstringrequired
Request body
application/json
titlestringrequired
min length 1
descriptionstring
prioritystring
Allowed:lowmediumhighurgent
tagsstring[]
urlstring
attachmentTypestring
default: "screenshot"
Allowed:screenshotvideodebugger_jsonlognetworkreplaytranscript
contentTypestring
fileNamestring
artifactsobject[]
Show properties
Array of object
attachmentTypestringrequired
Allowed:screenshotvideodebugger_jsonlognetworkreplaytranscript
fileNamestring
contentTypestring
visibilitystring
Allowed:publicprivate
metadataobject
default: {}
deviceInfoobject
multipartboolean
replayEventsany[]
max items 50000
includeNetworkBodiesboolean
Responses
200

Upload session

uploadUrlstringrequired
r2Keystringrequired
sessionIdstringrequired
uploadIdstring
partUploadUrlstring
shareUrlstring
uploadsobject[]
Show properties
Array of object
uploadUrlstringrequired
r2Keystringrequired
attachmentTypestringrequired
Allowed:screenshotvideodebugger_jsonlognetworkreplaytranscript
fileNamestringrequired
401

Invalid or expired token

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/support/capture/upload-session' \
  -H 'x-pile-capture-token: string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "description": "string",
  "priority": "low",
  "tags": [
    "string"
  ],
  "url": "string",
  "attachmentType": "screenshot",
  "contentType": "string",
  "fileName": "string",
  "artifacts": [
    {
      "attachmentType": "screenshot",
      "fileName": "string",
      "contentType": "string"
    }
  ],
  "visibility": "public",
  "metadata": {},
  "deviceInfo": {
    "property1": null,
    "property2": null
  },
  "multipart": true,
  "replayEvents": [
    null
  ],
  "includeNetworkBodies": true
}'
Response
{
  "uploadUrl": "string",
  "r2Key": "string",
  "sessionId": "string",
  "uploadId": "string",
  "partUploadUrl": "string",
  "shareUrl": "string",
  "uploads": [
    {
      "uploadUrl": "string",
      "r2Key": "string",
      "attachmentType": "screenshot",
      "fileName": "string"
    }
  ]
}